Subject: RE: Order Cancellation (# EH-202006130010-277281)
From: Jessica Stephenson <[email-masked]>
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Mon, 15 Jun 2020 13:37:15 +0000

We did not receive the order. 

Jessica Stephenson  |  Processing Manager
Specialty Fulfillment Center Inc
3 - 17th Avenue South
Nampa, Idaho 83651
208.466.2647
[email-masked]

Complete Customer Fulfillment Management

SFC is committed to delivering a full range of order fulfillment solutions in an easy-to-implement, cost effective friendly manner
Experience Matters

-----Original Message-----
From: [email-masked] <[email-masked]> 
Sent: Saturday, June 13, 2020 3:34 AM
To: Jessica Stephenson <[email-masked]>
Cc: [email-masked]; [email-masked]
Subject: Order Cancellation (# EH-202006130010-277281)

Hi Jessica,

Greetings for the day. I hope you are doing well.

Please cancel the said order. I have gone ahead and cancel the order from Ultra Cart along with that I have issued the refund. So, if you receive this order in your data, please cancel it and DO NOT SHIP.

Order Number# EH-202006130010-277281

Name:Joe flores
Address:7425 W Hatcher Rd
City:Peoria
State:AZ
Zip:85345
Country:United States

--
Thank you,

Davina
HFL Customer Support